#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_oldpkg_ver	0.29.2-3
%global		pkgconf_libdirs %{_libdir}/pkgconfig:%{_datadir}/pkgconfig
#-----------------------------------------------------------------------------
Name		:	pkgconf
Version		:	2.2.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Package compiler and linker metadata toolkit
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/pkgconf/pkgconf/tags

Source0		:	%{name}-%{version}.tar.xz
			#Source from LFS

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	libtool

Provides	:	pkgconfig(pkgconf)	=  %{version}

#-----------------------------------------------------------------------------
%description
pkgconf is a program which helps to configure compiler and
linker flags for development frameworks. It is similar
to pkg-config from freedesktop.org and handles .pc files
in a similar manner as pkg-config.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_bindir}/bomtool
%{_libdir}/lib%{name}*.so.*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/pc.5.gz
%{_mandir}/man5/pkgconf-personality.5.gz

#=============================================================================
%package		devel
Summary		:	Development files for '%{name}'

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package provides files necessary for developing
applications to use functionality provided by %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root,-)
%{_includedir}/%{name}/lib%{name}/*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%package		m4
Summary		:	m4 macros for '%{name}'

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		m4
This package includes m4 macros used to support
PKG_CHECK_MODULES when using pkgconf with autotools.

#-----------------------------------------------------------------------------
%files			m4
%defattr(-, root,root,-)
# pkgconfig override & compat
# we should provide the pkgconfig m4 macros
%{_datadir}/aclocal/pkg.m4
%{_mandir}/man7/pkg.m4.7.gz

#=============================================================================
%package		pkg-config
Summary		:	%{name} used to provide /usr/bin/pkg-config

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-m4	= %{version}-%{release}

Provides	:	pkgconfig(pkg-config)	=  %{_oldpkg_ver}
Provides	:	pkg-config		=  %{_oldpkg_ver}
#-----------------------------------------------------------------------------
%description		pkg-config
This package provides the shim links for pkgconf
to be automatically used in place of pkgconfig.
This ensures that pkgconf is used as the
system provider of pkg-config.

#-----------------------------------------------------------------------------
%files			pkg-config
%defattr(-, root,root,-)
%{_bindir}/pkg-config
%{_mandir}/man1/pkg-config.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf	-vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_datadir}/doc/%{name}-%{version}	\
	--with-pkg-config-dir=%{pkgconf_libdirs}	\
	--with-system-includedir=%{_includedir}		\
	--with-system-libdir=%{_libdir}			\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

%{__ln_s}						\
	./pkgconf					\
	%{buildroot}%{_bindir}/pkg-config

# Link pkg-config(1) to pkgconf(1)
echo 							\
	".so man1/pkgconf.1"				\
	 > %{buildroot}%{_mandir}/man1/pkg-config.1

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
